<template>
  <q-layout class="main-layout" view="lHh Lpr lFf">
    <q-layout-header>
      <q-toolbar
        color="primary"
        :glossy="$q.theme === 'mat'"
        :inverted="$q.theme === 'ios'"
      >
        <q-toolbar-title>
          <router-link class="no-link" to="/">
            Canicrossáci
         </router-link>
        </q-toolbar-title>
        <q-btn
          flat
          dense
          to="/prihlasenie"
          replace
          aria-label="Sign in"
        >
          <q-icon name="person" />
          &nbsp;
          <span v-if="user">Formulárová stránka</span>
          <span v-else>Prihlásenie</span>
        </q-btn>
      </q-toolbar>
    </q-layout-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<style lang="scss">
.main-layout {
  .no-link {
    color: inherit;
    text-decoration: none;
  }
}
</style>

<script>

export default {
  name: 'MyLayout',
  data () {
    return {
    }
  },

  computed: {
    user: function () {
      return this.$store.state.user.user
    }
  }
}
</script>
